
#ifndef CHARG_CONTROL_ENUM_
#define CHARG_CONTROL_ENUM_

typedef enum _chargMode{
    noWork          = 0,    /* 未进行充电 */
    MPPT            = 1,    /* 最大功率充电 */
    constantVoltage = 2,    /* 恒压充电 */
    floatCharg      = 3     /* 浮充充电 */
}chargMode;

typedef enum {
    mosTemperStart  = 0,    /* 满功率充电mos状态 */
    mosTemperEnd    = 1,    /* 降功率充电mos状态 */
    mosTemperStop   = 2,    /* 停止充电mos状态 */
}mosTState;


/* 注册状态 */
typedef enum {
   UNREGISTER = 0,          /* 未注册 */
   REGISTER_FAIL = 1,       /* 注册失败 */
   REGISTER_SUCCESS = 2,    /* 注册成功 */
}SL_REGISTERSTATUS;

/* 接入节点类型 */
typedef enum {
   POWERBOX = 1,            /* 电源箱子 */
   MICROMETEOROLOGY = 2,    /* 微气象 */
}SL_ACCESSNODETYPE;

/* 通信方式 */
typedef enum {
    RS485 = 1,
    RJ45 = 2,
//    Lora = 3, //暂时未使用
}SL_COMMUNICATIONMETHODS;





#endif
